Bug 1731752 - Can we have a gstcamerabin plugin as a separate RPM package?
Summary: Can we have a gstcamerabin plugin as a separate RPM package?
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtmultimedia
Version: rawhide
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-21 18:36 UTC by Artem S. Tashkinov
Modified: 2019-08-16 16:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Artem S. Tashkinov 2019-07-21 18:36:37 UTC
The qt5-qtmultimedia-5.12.4-1.fc30.x86_64.rpm package contains the

qt5/plugins/mediaservice/libgstcamerabin.so

library which depends on the gstreamer1-plugins-bad-free package which pulls in a lot of dependencies (see e.g. bug 1731750).

Is it possible to build this file separately into e.g.

qt5-qtmultimedia-plugin-gstcamerabin.rpm?

If it doesn't make any sense or it's too much work for a little gain then this bug report might be safely closed.

Comment 1 Ben Cotton 2019-08-13 16:50:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 18:58:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.


Note You need to log in before you can comment on or make changes to this bug.